=== src/gtk/debian/changelog ===
sbasic (0.9.7.3) unstable; urgency=low

  * Added GRID button support

 -- Chris Warren-Smith <cwarrensmith@gmail.com>  Tue, 26 Jul 2006 18:34:00 +0930

sbasic (0.9.7.2) unstable; urgency=low

  * Updated for Maemo 2.

 -- Chris Warren-Smith <cwarrensmith@gmail.com>  Tue, 27 Jun 2006 18:34:00 +0930

sbasic (0.9.7.1) unstable; urgency=low

  * Initial Release.

 -- Chris Warren-Smith <cwarrensmith@gmail.com>  Sat, 04 Mar 2006 18:34:00 +0930
