=== src/gtk/debian/control ===
Source: sbasic
Section: user/office
Priority: optional
Maintainer: Chris Warren-Smith <cwarrensmith@gmail.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: sbasic
Architecture: any
Description: SmallBASIC is designed to be a simple, lightweight programming environment for experimentation, featuring strong mathematical and high level graphics commands.
